List Movespec Versions
curl --request GET \
--url https://api.kynasmith.dev/api/movespecs/{movespec_id}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kynasmith.dev/api/movespecs/{movespec_id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kynasmith.dev/api/movespecs/{movespec_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"has_more": true,
"items": [
{
"content_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"movespec_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"movespec_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"yaml_source": "<string>"
}
],
"limit": 123,
"offset": 123,
"total": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}movespecs
List Movespec Versions
List immutable versions for one MoveSpec. Anonymous for public MoveSpecs.
GET
/
api
/
movespecs
/
{movespec_id}
/
versions
List Movespec Versions
curl --request GET \
--url https://api.kynasmith.dev/api/movespecs/{movespec_id}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kynasmith.dev/api/movespecs/{movespec_id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kynasmith.dev/api/movespecs/{movespec_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"has_more": true,
"items": [
{
"content_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"movespec_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"movespec_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"yaml_source": "<string>"
}
],
"limit": 123,
"offset": 123,
"total": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
BearerAccessTokenBearerAccessToken
Backend-issued machine access token for project-scoped API access.
Path Parameters
Query Parameters
Maximum items per page.
Required range:
1 <= x <= 200Offset from the start of the result set.
Required range:
x >= 0Response
Successful Response
Whether more items exist beyond this page.
Show child attributes
Show child attributes
Page size used for this response.
Offset from the start of the full result set.
Total number of matching items.